gnutls_psk_client_get_hint(3)

NAME
gnutls_psk_client_get_hint - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_psk_client_get_hint(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

DESCRIPTION
The PSK identity hint may give the client help in deciding which username to use. This should only be called in case of PSK authentication and in case of a client.

RETURNS
the identity hint of the peer, or NULL in case of an error.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/